import { world, system, ItemStack } from "@minecraft/server";
import { ActionFormData, ModalFormData } from "@minecraft/server-ui";

let expression = {};
world.beforeEvents.itemUse.subscribe(eventData => {
    const player = eventData.source;
    if (eventData.itemStack.typeId == 'pokemc:start' && player.isSneaking) {
        system.run(() => {
            skins(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_axe' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_claw' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
    if (eventData.itemStack.typeId == 'spidermanaddon:symbiont_whip' && player.isSneaking) {
        system.run(() => {
            venom(player);
        })
    }
	if (eventData.itemStack.typeId == 'spidermanaddon:symbiote_capsule' && player.isSneaking) {
        system.run(() => {
            venom_transform(player);
        })	
	}
});
function venom_transform(player) {
	player.runCommand('replaceitem entity @s slot.armor.head 0 spidermanaddon:venom');
	player.runCommand('clear @s spidermanaddon:symbiote_capsule 0 1');
	player.runCommand('playsound random.glass @a[r=15]');
	player.runCommand('/playsound venom.equip @a[r=15]');
}
function venom(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
    gui.button('spidermanaddon.feed', 'textures/items/venom_regeneration')
	gui.button('spidermanaddon.symbiont_axe', 'textures/items/symbiont_axe')
	gui.button('spidermanaddon.symbiont_claw', 'textures/items/symbiote_claw')
	gui.button('spidermanaddon.symbiont_whip', 'textures/items/symbiont_whip')
	gui.button('spidermanaddon.transformation', 'textures/items/symbiote_powers')
	gui.button('spidermanaddon.skins', 'textures/items/venom')
	gui.button('spidermanaddon.camera', 'textures/items/venom_camera')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            feed(player)
        }
        if (result.selection === 1) {
            axe(player)
        }
        if (result.selection === 2) {
            claw(player)
        }
        if (result.selection === 3) {
            whip(player)
        }
        if (result.selection === 4) {
            transformation(player)
        }
        if (result.selection === 5) {
            skins(player)
        }
        if (result.selection === 6) {
            camera(player)
        }
    })
}
function camera(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
	gui.button('spidermanaddon.third', 'textures/items/venom_camera')
	gui.button('spidermanaddon.first', 'textures/items/venom_camera')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            third(player)
        }
        if (result.selection === 1) {
            first(player)
		}
    })
}
function first(player) {
    player.runCommand('event entity @s venom:camera.first');
}
function third(player) {
    player.runCommand('event entity @s venom:camera.third');
}
function transformation(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
	gui.button('spidermanaddon.on', 'textures/items/symbiote_powers')
	gui.button('spidermanaddon.off', 'textures/items/symbiote_powers')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            transformation_on(player)
        }
        if (result.selection === 1) {
            transformation_off(player)
		}
    })
}
function skins(player) {
    const gui = new ActionFormData();
    gui.title('Venom Abilities')
    gui.button('Bulbasaur', 'textures/ui/bulbasaur')
	gui.button('Charmander', 'textures/ui/charmander')
	gui.button('Squirtle', 'textures/ui/squirtle')
    gui.show(player).then(result => {
        if (result.selection === 0) {
            bulbasaur(player)
        }
        if (result.selection === 1) {
            charmander(player)
        }
        if (result.selection === 2) {
            squirtle(player)
        }
    })
}
function bulbasaur(player) {
    player.runCommand('replaceitem entity @p slot.hotbar 0 pokemc:bulbasaur_pokeball 1');
    player.runCommand('give @p pokemc:pokeball 20');
    player.runCommand('function pokemc_cap_red');
}
function charmander(player) {
    player.runCommand('replaceitem entity @p slot.hotbar 0 pokemc:charmander_pokeball 1');
    player.runCommand('give @p pokemc:pokeball 20');
    player.runCommand('function pokemc_cap_red');
}
function squirtle(player) {
    player.runCommand('replaceitem entity @p slot.hotbar 0 pokemc:squirtle_pokeball 1');
    player.runCommand('give @p pokemc:pokeball 20');
    player.runCommand('function pokemc_cap_red');
}
function feed(player) {
    player.runCommand('function venom_regeneration_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function axe(player) {
    player.runCommand('function symbiont_axe_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function claw(player) {
    player.runCommand('function symbiont_claw_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function whip(player) {
    player.runCommand('function symbiont_whip_item');
	player.runCommand('playsound venom.equip @a[r=10]');
}
function transformation_on(player) {
	player.runCommand('event entity @s venom:head_off');
	player.runCommand('event entity @s venom:mode');
}
function transformation_off(player) {
	player.runCommand('event entity @s venom:head');
	player.runCommand('event entity @s venom:mode_off');
}